import http from "@/http/http.js";

let baseUrl = "/api/web/action/tmTools/springBoard";

// 获取selftmreg的尼斯查询 一级查询得到二级树
// 获取selftmreg的尼斯查询 二级查询得到三级树
export function getNiceQueryLevelOne(nclcodeSCode) {
  return http.post(baseUrl, {
    actionBody: {
      nclcode: nclcodeSCode
    },
    actionType: "getNcl",
    requrl: "/action/tmTools/springBoard"
  });
}

// 分类过滤接口
export function getNiceQueryLevelTwo() {
  return http.post(baseUrl, {
    actionBody: {
      name: "生物化学", //Y strin 尼斯名称
      ncls: ["01"] //N List 尼斯大类编码列表
    },
    actionType: "getNclByLikeNameAndNcl"
  });
}
